---
import { getLangFromUrl, useTranslations } from "../../../i18n/utils.ts";

const lang = getLangFromUrl(Astro.url);
const t = useTranslations(lang, { keyPrefix: "greetings" });
import "./titleOverlay.sass";
---

<header class="main__header">
  <img
    src="/owni_logo.svg"
    alt="The OwNi.dev logo, in big turquoise and handwritten letters"
    title="Owni.dev"
  />

  <h1 class="title">{t("pro")}</h1>
</header>
